LIVE-BUILD(1)

NAME
live-build - System Build Komponenten

SYNTAX
lb source-hooks [--verbose]

lb source-hooks [--help]
lb source-hooks [--version]

BESCHREIBUNG
live-build enthält die Komponenten um ein Live System von einem Konfigurationsverzeichnis zu erstellen.

Der lb source-hooks Befehl führt Hooks Dateien nach dem Source Stage aus.

SPEZIFIKATION
lb source-hooks führt alle Hook Dateien die sich im config/hooks Verzeichnis innerhalb des Konfigurationsvereichnisses befinden aus.

Hook Dateien benötigen weder einen speziellen Besitzer noch spezielle Zugriffsrechte. Sie werden automatisch als ausführbar markiert wenn sie von lb source-hooks ausgeführt werden.

Hook Dateien müssen entweder den Suffix *.hook oder *.hook.source haben.

Hook Dateien mit dem Suffix *.hook werden als erstes ausgeführt, Hook Dateien mit dem Suffix *.hook.source als zweites.

Hook Dateien werden von lb source-hooks in alphanummerischer Reihenfolge ausgeführt. Falls eine Hook Datei davon abhängt nach einer anderen Hook Datei ausgeführt zu werden, ist die empfohlene Vorgehensweise Nummern als Prefixes (nnnn, beginnend mit 0001) zu benutzen um die Ausführungsreihenfolge zu sichern.

Hook Dateien werden durch lb source-hooks in das source/live-build Verzeichnis kopiert. Sie werden innerhalb des source Verzeichnises ausgeführt und können das Konfigurationsverzeichnis in live-build/config innerhalb des source Verzeichnisses lesen.

Warnung: Hook Dateien werden nicht in einem Chroot sondern innerhalb des Kontext des Host Systems im source Vereichnis ausgeführt. Sie haben Root Privilegien und Zugang zu allen Ressourcen des Host Systems (Geräte, Dateisysteme, Netzwerk, etc.).

OPTIONEN

--verbose
    setzt verbose Option für mehr Ausgaben (Standardwert: aus).

-h, --help
    zeigt Hilfenachricht und beendet sich.

--version
    zeigt Versionsnummer des Programms und beendet sich.

DATEIEN

config/hooks/*.hook:
    Allgemeine Hook Dateien.

config/hooks/*.hook.source:
    Hook Dateien spezifisch für den Source Stage.

source:
    Verzeichnis in dem Hook Dateien ausgeführt werden.

source/live-build/config:
    bind mount des Konfigurationsverzeichnis innerhalb des source Verzeichnisses um von Hook Dateien gelesen werden zu können.

source/live-build:
    Verzeichnis in das die Hook Dateien kopiert werden.

SIEHE AUCH

lb-bootstrap-hooks(1)

lb-chroot-hooks(1)

lb-binary-hooks(1)

HOMEPAGE
Weitere Informationen über live-build und das Live Systems Projekt können auf der Homepage unter <http://live-systems.org/> und im Handbuch unter <http://live-systems.org/manual/> gefunden werden.

FEHLER
Fehler können durch Einreichen eines Fehlerberichtes für das live-build Paket im Bug Tracking System unter <http://bugs.debian.org/> oder durch Senden einer E-Mail an die Live Systems Mailing Liste unter <debian-live@lists.debian.org> (englischsprachig) mitgeteilt werden.

AUTOR
live-build wurde von Daniel Baumann <mail@daniel-baumann.ch> geschrieben.